import { Controller } from "@hotwired/stimulus";
import { Chart, ChartType, ChartOptions, ChartData } from "chart.js";
export default class Chartjs extends Controller<HTMLCanvasElement> {
    canvasTarget: HTMLCanvasElement;
    chart: Chart;
    typeValue: ChartType;
    optionsValue: ChartOptions;
    dataValue: ChartData;
    hasDataValue: boolean;
    hasCanvasTarget: boolean;
    static targets: string[];
    static values: {
        type: {
            type: StringConstructor;
            default: string;
        };
        data: ObjectConstructor;
        options: ObjectConstructor;
    };
    connect(): void;
    disconnect(): void;
    get chartData(): ChartData;
    get chartOptions(): ChartOptions;
    get defaultOptions(): ChartOptions;
}
